import symantec.itools.awt.ImageButton;
import javax.telephony.*;
import java.net.*;
import java.awt.*;


public class DirectoryButton extends ImageButton {

    public DirectoryButton ( String _colorImage, String _bwImage, String _name, String _number ) {

        super();
        colorImage = _colorImage;
        bwImage = _bwImage;
        name = _name;
        number = _number;
        try {
            colorURL = symantec.itools.net.RelativeURL.getURL( colorImage );
            bwURL = symantec.itools.net.RelativeURL.getURL( bwImage );
        }
		catch (java.net.MalformedURLException error) { }
    }

    public String getNumber () {
        return number;
    }
    
    public String getName () {
        return name;
    }

    public URL getbwURL () {
        return bwURL;
    }

    public URL getColorURL () {
        return colorURL;
    }

    public BlinkThread getBlinkThread () {
        return blinkThread;
    }

    public TerminalConnection getTermConn () {
        return termConn;
    }

    public void setBlinkThread ( BlinkThread thread) {
        blinkThread = thread;
    }

    public void setTermConn ( TerminalConnection  tc ) {
        termConn = tc;
    }


    URL                 colorURL;
    URL                 bwURL;
    String              colorImage;
    String              bwImage;
    String              name;
    String              number;
    BlinkThread         blinkThread;
    TerminalConnection  termConn;
}

/*
 * Class: BlinkThread
 *
 * This class is the thread that creates a blinking border around the
 * image button.
 */
 class BlinkThread extends Thread {

    public BlinkThread ( ImageButton button ) {
        super();
        imgButton = button;
    }

    public void run() {
        while ( true ) {
            try {
    			imgButton.setBorderColor(Color.red);
    		}
    		catch(java.beans.PropertyVetoException e) { }
            try {
                sleep(800);
            } catch (InterruptedException e) {}
            try {
    			imgButton.setBorderColor(Color.black);
    		}
    		catch(java.beans.PropertyVetoException e) { }
    		try {
                sleep(800);
            } catch (InterruptedException e) {}
        }
    }

    ImageButton imgButton;
 }

