import java.util.*;
import java.awt.*;

/*
 * Class: FunctionHandler
 * This class is the thread that handles the actions to be taken from the dialog
 * boxes.  There are two possibilities:
 *      - makecall
 *      - sendDTMF
 */
 public class FunctionHandler extends Thread {
    
    public FunctionHandler ( Frame frame, Hashtable table ) {
        super();
        if ( frame instanceof Dialer ) {
            DialerApp = ( Dialer) frame;
        }
        function = (String) table.get ( "function" );
        args = table;
    }
    
    public void run() {
        
        if ( DialerApp != null ) {
            if ( function.equals ( "login" ) ) {
                DialerApp.login ( args );
            }
    	}      
    }
    
    Dialer     DialerApp;
    String      function;
    Hashtable   args;
 }
 