
import java.awt.*;
import java.io.*;

public class MyTextArea extends TextArea 
{

    public MyTextArea() {
        super();
        currentLength = 0;
        setEditable(false);
        setBackground(Color.white);
    }
        
    public synchronized void appendText(boolean always, String str) {
        
        if ( tracing || always ) {
            currentLength += str.length();
            if (currentLength > 28000) {
                replaceText("", 0, 14000);
                currentLength = getText().length();
            }
            super.appendText(str);
        }
    }
    
    public synchronized void appendText(String str) {
        
        this.appendText(true, str);
    }
    
    public void enableTracing() {

        tracing = true;
    }

    public void disableTracing() {

        tracing = false;
    }

    
    int          currentLength;
    boolean      tracing = false;
}